Get locations
GET https://wallet.paysera.com/rest/v1/locations
Retrieve all Paysera Branch/POS locations together with their identifiers, coordinates, working hours, and available services.
Note: This method does not require authentication.
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, see the Authentication section.
Example​
Request​
GET https://wallet.paysera.com/rest/v1/locations
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
{
"locations": [
{
"id": 14000,
"project_id": 1,
"title": "Paysera",
"description": null,
"address": "PilaitÄ—s pr. 16, Vilnius",
"lat": 54.699205,
"lng": 25.21356,
"radius": 0,
"updated_at": 1741086106,
"status": "active",
"working_hours": {
"monday": { "opening_time": "08:00", "closing_time": "17:00" },
"tuesday": { "opening_time": "08:00", "closing_time": "17:00" },
"wednesday": { "opening_time": "08:00", "closing_time": "17:00" },
"thursday": { "opening_time": "08:00", "closing_time": "17:00" },
"friday": { "opening_time": "08:00", "closing_time": "17:00" },
"saturday": { "opening_time": "08:00", "closing_time": "12:00" }
},
"services": {
"cash_out": { "available": true, "types": [] },
"cash_in": { "available": true, "types": [] }
},
"images": {
"pin_open": "image.png",
"pin_closed": "image.png"
},
"public": true,
"spots": []
}
]
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://wallet.paysera.com
RESPONSE
Locations retrieved
{
"locations": [
{
"id": 14000,
"project_id": 1,
"title": "Paysera",
"description": null,
"address": "PilaitÄ—s pr. 16, Vilnius",
"lat": 54.699205,
"lng": 25.21356,
"radius": 0,
"updated_at": 1741086106,
"status": "active",
"working_hours": {
"monday": {
"opening_time": "08:00",
"closing_time": "17:00"
},
"tuesday": {
"opening_time": "08:00",
"closing_time": "17:00"
},
"wednesday": {
"opening_time": "08:00",
"closing_time": "17:00"
},
"thursday": {
"opening_time": "08:00",
"closing_time": "17:00"
},
"friday": {
"opening_time": "08:00",
"closing_time": "17:00"
},
"saturday": {
"opening_time": "08:00",
"closing_time": "12:00"
}
},
"services": {
"cash_out": {
"available": true,
"types": []
},
"cash_in": {
"available": true,
"types": []
}
},
"images": {
"pin_open": "image.png",
"pin_closed": "image.png"
},
"public": true,
"spots": []
}
]
}